<?php
date_default_timezone_set('America/Lima');

class cProductobonificacion_cst{

	
function mostrar_filtrocondetalles($usu_id,$punven_id,$fec1,$fec2,$mon_id){
		$sql="select * from tb_ventadetalle vd
		inner join tb_venta v on v.tb_venta_id = vd.tb_venta_id
		INNER JOIN tb_catalogo ct ON vd.tb_catalogo_id = ct.tb_catalogo_id
		INNER JOIN tb_producto p ON ct.tb_producto_id = p.tb_producto_id
		INNER JOIN tb_presentacion pr ON p.tb_presentacion_id = pr.tb_presentacion_id
		INNER JOIN tb_marca m ON vd.tb_marca_id = m.tb_marca_id
		INNER JOIN tb_unidad un ON ct.tb_unidad_id = un.tb_unidad_id
		INNER JOIN tb_empaque em ON em.tb_empaque_id = p.tb_empaque_id
        inner join tb_usuario u on u.tb_usuario_id = v.tb_vendedor_id
		WHERE v.tb_venta_xac = 1 and v.tb_venta_est = '1'
		AND v.tb_venta_fec BETWEEN '$fec1' AND '$fec2' AND vd.tb_ventadetalle_bonuni > 0 ";
		
		if($mon_id!=''){ $sql = $sql." AND v.tb_moneda_id = '$mon_id' "; }
		if($usu_id!=''){ $sql = $sql." AND v.tb_usuario_id = '$usu_id' "; }
		if($punven_id!=''){ $sql = $sql." AND v.tb_puntoventa_id = '$punven_id' "; }
		
		$sql = $sql." ORDER BY v.tb_venta_fec ";
		//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	


}
?>